Bug 19047 - Fix AddBiblio call in Reserves.t
Summary: Fix AddBiblio call in Reserves.t
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-07 06:44 UTC by Marcel de Rooy
Modified: 2017-10-24 05:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19047: Fix AddBiblio call in Reserves.t (1.37 KB, patch)
2017-08-07 06:48 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 19047: Fix AddBiblio call in Reserves.t (1.39 KB, patch)
2017-08-07 14:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19047: Fix AddBiblio call in Reserves.t (1.46 KB, patch)
2017-08-10 18:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19047: Fix AddBiblio call in ShelfBrowser.t (1.01 KB, patch)
2017-08-10 18:07 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2017-08-07 06:44:37 UTC

    
Comment 1 Marcel de Rooy 2017-08-07 06:48:15 UTC
Created attachment 65532 [details] [review]
Bug 19047: Fix AddBiblio call in Reserves.t

AddBiblio does not return a title; the biblioitemnumber is stored in the
title variable.
The variables for biblioitemnumber are not used and can be removed.

Test plan:
Run t/db_dependent/Reserves.t
Comment 2 Owen Leonard 2017-08-07 14:14:38 UTC
Created attachment 65558 [details] [review]
[SIGNED-OFF] Bug 19047: Fix AddBiblio call in Reserves.t

AddBiblio does not return a title; the biblioitemnumber is stored in the
title variable.
The variables for biblioitemnumber are not used and can be removed.

Test plan:
Run t/db_dependent/Reserves.t

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jonathan Druart 2017-08-10 18:07:19 UTC
Created attachment 65837 [details] [review]
Bug 19047: Fix AddBiblio call in Reserves.t

AddBiblio does not return a title; the biblioitemnumber is stored in the
title variable.
The variables for biblioitemnumber are not used and can be removed.

Test plan:
Run t/db_dependent/Reserves.t

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2017-08-10 18:07:23 UTC
Created attachment 65838 [details] [review]
Bug 19047: Fix AddBiblio call in ShelfBrowser.t

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2017-08-10 19:31:48 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 6 Fridolin SOMERS 2017-09-29 09:32:52 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 7 Katrin Fischer 2017-10-01 21:30:59 UTC
These patches have been pushed to 16.11.x and will be in 16.11.13.
Comment 8 Mason James 2017-10-24 05:05:50 UTC
Pushed to 16.05.x, for 16.05.18 release